eSMS AfricaeSMS Africa
eSMS Mail

Analytics

Email delivery metrics and time-series data.

eSMS Mail provides analytics for tracking your email performance over time.

Overview

Get aggregate metrics for a given period:

curl "https://send.esmsafrica.io/v1/analytics/overview?period=30d" \
  -H "Authorization: Bearer esms_k_your_api_key"
{
  "period": "30d",
  "total_sent": 12450,
  "delivered": 12100,
  "bounced": 85,
  "failed": 15,
  "opens": 4200,
  "clicks": 890
}

Periods

ValueDescription
7dLast 7 days
30dLast 30 days (default)
90dLast 90 days

Time series

Get metrics broken down over time:

curl "https://send.esmsafrica.io/v1/analytics/timeseries?period=30d&granularity=day" \
  -H "Authorization: Bearer esms_k_your_api_key"
{
  "period": "30d",
  "granularity": "day",
  "data": [
    {
      "timestamp": "2025-01-01T00:00:00Z",
      "sent": 450,
      "delivered": 440,
      "bounced": 3,
      "failed": 0
    },
    {
      "timestamp": "2025-01-02T00:00:00Z",
      "sent": 380,
      "delivered": 375,
      "bounced": 1,
      "failed": 0
    }
  ]
}

Granularity

ValueDescription
hourHourly data points
dayDaily data points (default)

Dashboard charts

The eSMS Mail dashboard at send.esmsafrica.io includes interactive charts for:

  • Emails sent over time
  • Delivery rate
  • Open rate
  • Click rate
  • Bounce rate

Charts are available on the Starter plan and above.

On this page